version: "3.7"
services:
  api_service:
    build: .
    restart: always
    ports:
      - 8080:8080
    networks:
      - springapimysql-net
    environment:
      - spring.datasource.url=jdbc:mysql://mysqldb:3306/evm?allowPublicKeyRetrieval=true
    depends_on:
      - mysqldb

    volumes:
      - .m2:/root/.m2

  mysqldb:
    image: "mysql:8.0"
    restart: always
    ports:
      - 3306:3306
    networks:
      - springapimysql-net
    environment:
      MYSQL_DATABASE: evm
      MYSQL_USER: evmuser
      MYSQL_PASSWORD: password123
      MYSQL_ROOT_PASSWORD: password123
networks:
  springapimysql-net: